<template>
    <v-row class="d-flex">
        <v-col cols="12" md="12" style="margin-top: -8%; margin-bottom: 2%;">
            <h4 class="title-kpi">Tasa de conversión</h4>
        </v-col>
        <v-col cols="12" md="12" sm="12">
            <v-card flat style="background-color: #e5ebf7; margin-bottom: 2%; width:710px;" class="d-flex">
                <v-row>
                    <v-col cols="12" md="6" sm="6" align-self="center">
                        <div class="d-flex">
                            <more-visit-pie :data="datas" style=" margin-left: 10%;"></more-visit-pie>
                        </div>
                    </v-col>

                    <v-col cols="6" md="6" sm="6">
                        <v-row style="margin: 0px!important; padding: 0 10px 0 10px!important;">
                            <v-col cols="12" lg="12" md="12" sm="6" align="left">
                                De tu número de visitantes:
                                <p class="title-kpi-pie" style="font-size: 50px;">{{ views }}</p>
                            </v-col>
                            <v-col cols="12" lg="12" md="12" sm="6" align="left">
                                Tu porcentaje de compra es:
                                <p class="title-kpi-pie" style="font-size: 50px;">
                                    {{ salesPercent.toPrecision(2) }}{{ '%' }}
                                </p>
                            </v-col>
                            <v-col cols="12" lg="12" align="left" md="12" sm="12">
                                <p>
                                    <v-icon color="yellow">mdi-hexagon</v-icon>
                                    <span style="margin: 10px;">Ventas confirmadas</span>
                                </p>
                            </v-col>
                        </v-row>
                    </v-col>
                </v-row>
            </v-card>
        </v-col>
    </v-row>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator';
import MoreVisitPie from './MoreVisitPie.vue';
import { ProductsViews } from '@/model/kpi/View';

@Component({
    components: {
        MoreVisitPie
    }
})
export default class ConvertionRate extends Vue {
    @Prop({ default: () => [] })
    datas!: ProductsViews[];
    @Prop({ default: 0 })
    readonly views!: number;
    @Prop({ default: 0 })
    readonly salesPercent!: number;
}
</script>

<style lang="scss">
.title-kpi-pie {
    font-size: 50px;
    font-weight: 800;
    color: #000;
    white-space: nowrap;
}
</style>
